> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getGarnishmentFormFields

> The `getGarnishmentFormFields ` API retrieves the form fields for a particular garnishment and agency

### When to use:
- To determine the necessary fields to add an employee garnishment 

### Note:
- Agency specific fields are currently only supported for child support

### Direct Agency Payment Scope:
- Rollfi can only pay agencies directly for `Child Support` garnishments.
- Direct agency payment for child support is available in 49 states (all except South Carolina (SC)).



## OpenAPI

````yaml get /reports/getGarnishmentFormFields
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /reports/getGarnishmentFormFields:
    get:
      tags: []
      summary: getGarnishmentFormFields
      description: >-
        The `getGarnishmentFormFields ` API retrieves the form fields for a
        particular garnishment and agency


        ### When to use:

        - To determine the necessary fields to add an employee garnishment 


        ### Note:

        - Agency specific fields are currently only supported for child support


        ### Direct Agency Payment Scope:

        - Rollfi can only pay agencies directly for `Child Support`
        garnishments.

        - Direct agency payment for child support is available in 49 states (all
        except South Carolina (SC)).
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                garnishmentType:
                  type: string
                garnishmentAgency:
                  type: string
              required:
                - method
                - garnishmentType
                - garnishmentAgency
            example:
              method: getGarnishmentFormFields
              garnishmentType: Child Support
              garnishmentAgency: Florida Child Support Enforcement
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  garnishmentType:
                    type: string
                  garnishmentAgency:
                    type: string
                  garnishmentFieldList:
                    type: array
                    items:
                      type: string
                  fieldDescription:
                    type: array
                    items:
                      type: object
                      properties:
                        fieldName:
                          type: string
                        isMandatory:
                          type: boolean
                        dataType:
                          type: string
                        options:
                          type: array
                          items:
                            type: string
                      required:
                        - fieldName
                        - isMandatory
                        - dataType
                        - options
                required:
                  - garnishmentType
                  - garnishmentFieldList
                  - fieldDescription
              example:
                garnishmentType: Child Support
                garnishmentAgency: Florida CSE
                garnishmentFieldList:
                  - County
                  - Choose who will be paying the agency
                  - Case Number
                  - Start Date
                  - End Date
                  - Total Withholding Amount
                  - Frequency (Per)
                  - Expected Amount Per Pay Period
                  - Maximum Withholding Percentage
                fieldDescription:
                  - fieldName: County
                    isMandatory: false
                    dataType: String
                    options:
                      - Alachua
                      - Baker
                      - Bay
                      - Bradford
                      - Brevard
                      - Broward
                      - Calhoun
                      - Charlotte
                      - Citrus
                      - Clay
                      - Collier
                      - Columbia
                      - DeSoto
                      - Dixie
                      - Duval
                      - Escambia
                      - Flagler
                      - Florida Statewide
                      - Franklin
                      - Gadsden
                      - Gilchrist
                      - Glades
                      - Gulf
                      - Hamilton
                      - Hardee
                      - Hendry
                      - Hernando
                      - Highlands
                      - Hillsborough
                      - Holmes
                      - Indian River
                      - Jackson
                      - Jefferson
                      - Lafayette
                      - Lake
                      - Lee
                      - Leon
                      - Levy
                      - Liberty
                      - Madison
                      - Manatee
                      - Marion
                      - Martin
                      - Miami-Dade
                      - Monroe
                      - Nassau
                      - Okaloosa
                      - Okeechobee
                      - Orange
                      - Osceola
                      - Palm Beach
                      - Pasco
                      - Pinellas
                      - Polk
                      - Putnam
                      - Santa Rosa
                      - Sarasota
                      - Seminole
                      - St. Johns
                      - St. Lucie
                      - Sumter
                      - Suwannee
                      - Taylor
                      - Union
                      - Volusia
                      - Wakulla
                      - Walton
                      - Washington
                  - fieldName: Choose who will be paying the agency
                    isMandatory: false
                    dataType: String
                    options:
                      - I want my payroll provider to make the payments
                      - I will make the payments myself
                  - fieldName: Case Number
                    isMandatory: false
                    dataType: String
                  - fieldName: Start Date
                    isMandatory: false
                    dataType: Date
                  - fieldName: End Date
                    isMandatory: false
                    dataType: Date
                  - fieldName: Total Withholding Amount
                    isMandatory: false
                    dataType: Decimal
                  - fieldName: Frequency (Per)
                    isMandatory: false
                    dataType: String
                    options:
                      - Weekly
                  - fieldName: Expected Amount Per Pay Period
                    isMandatory: false
                    dataType: Decimal
                  - fieldName: Maximum Withholding Percentage
                    isMandatory: false
                    dataType: Decimal
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                error:
                  code: 404
                  message: No garnishment agency found matching Bankruptcy Agency.
          headers: {}
      deprecated: false
      security: []

````